Subject: bug#14518: C and Emacs Lisp code parts

From: Andreas Röhler <[email-masked]>
Date: Wed, 6 Jul 2016 19:27:24 +0200

On 06.07.2016 18:37, Eli Zaretskii wrote:
>> From: Andreas Röhler <[email-masked]>
>> Date: Wed, 6 Jul 2016 18:21:03 +0200
>>
>> A better approach might be to ask: Why does it take so long?
> I did.  As of now, I don't understand the data you presented, so I
> asked for some more.

Hi Eli,

.abbrev_defs here counts 18415 lines. Can't post it as such, as it may 
contain private data.
AFAIU the slowness is result of a proceeding, which reads/writes all 
available abbrev tables.

A solution would restrict that read/write to mode-abbrev table at stake, 
or better to single abbrev edited.
Maybe edit-abbrev should be changed into edit-all-abbrev-at-once - but 
discouraged.

Thanks,

Andreas